/* Product list layout */

ul.products {
  @include clearfix;
  margin: 0;
  padding: 0;
  list-style: none;
  display: block;
}

/* Direct object Fitting */
li.product img.wp-post-image{
  @include object-fit();
}


/* List product specific styles */
li.product {

  position: relative;
  margin-bottom: 3rem;

  > a:first-child{
    overflow: hidden;
    display: block;
  }

  /* Reset all links within */
  a {
    text-decoration: none;
    color: $text;

    &:active, &:hover, &:visited{}
  }

  .add_to_cart_button,
  .button.product_type_variable,
  .button.product_type_grouped,
  .button.product_type_virtual,
  .button.product_type_simple {
    @include theme_button();
  }


  /* Product images */
  img.wp-post-image {
    width: 100%;
    height: auto;
    vertical-align: bottom;
    margin-bottom: 1rem;
  }

  // Sale banner
  .onsale{
    background: $sale_background; // Variables.scss for colour changes
    color: $sale_colour;
    width: 10rem;
    right: -2rem;
    top: 2rem;
    display: block;
    text-align: center;
    transform: rotate(45deg);
    position: absolute;
    box-shadow: 0px 2px 5px -4px black;
  }

  /* Product Name */
  .woocommerce-loop-category__title,
  h3 {
    color: $text;
    margin: 0 0 1rem;
    line-height: 1.4;
    font-size: 1rem;
    font-weight: 600;
  }

  /* Product Price */
  .price {

      @include wider-than(tablet){
        float: left;
        width: 50%;
        text-align: left;
      }

      // The previous price
      del { .amount {  } }

      // The new sales price
      ins { text-decoration: none;
        .amount {
          color: $sale_background;
          text-decoration: none;
        }
      }

      .woocommerce-price-suffix{
        display: block;
        text-align: left;
      }

      // The price without any sales
      > .amount { }
  }

  .stock{
      @include wider-than(tablet){
        float: right;
        width: 50%;
        text-align: right;
      }
  }

  /* Button to visit the product */
  .add_to_cart_button{
    display: block;
    float: left;
    width: 100%;
  }
}

// Stock should indicate if in or not

.stock {
  display: inline-block;
  &:before{
    $size: 1ex;
    content: "";
    height: $size;
    width: $size;
    border-radius: $size * 4;
    background-color: grey;
    display: inline-block;
    vertical-align: middle;
    margin-right: 0.5ex;
  }
  &.in-stock {
    color: $in-stock-colour;
    &:before{
      background-color: $in-stock-colour;
    }
  }
  &.out-stock {
    color: $out-stock-colour;
    &:before{
      background-color: $out-stock-colour;
    }
  }
}


.related.products{
  padding: 4rem 0;
}